petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerBinarySetSkipHeader

do not write a header with size information on output, just raw data

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetSkipHeader(PetscViewer viewer,PetscBool skip)

Not Collective

### Input Parameters

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| skip | - PETSC_TRUE means do not write header

### Options Database Key

-viewer_binary_skip_header -

### Notes

This must be called after PetscViewerSetType()

Can ONLY be called on a binary viewer

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySkipInfo(),
PetscViewerBinaryGetSkipHeader()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c

### Examples

src/dm/examples/tutorials/ex15.c.html

### Implementations

PetscViewerBinarySetSkipHeader_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerBinarySetSkipHeader_Socket in src/sys/classes/viewer/impls/socket/send.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages